%define upstream_name    WWW-Shorten-Googl
%define upstream_version 1.100

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl interface to goo.gl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS) >= 1.0.0
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent) >= 5.835.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.240.0
BuildRequires: perl(URI)
BuildRequires: perl(WWW::Shorten) >= 3.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Perl interface to the goo.gl URL shortening service. Googl simply
maintains a database of long URLs, each of which has a unique identifier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test || :

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/goo.gl

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.100.0-5.mga10
+ Revision: 2211775
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.100.0-4.mga9
+ Revision: 1830110
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-3.mga8
+ Revision: 1498298
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-2.mga7
+ Revision: 1272733
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 1.100.0-1.mga6
+ Revision: 1010827
- update to 1.100

* Sat Feb 20 2016 umeabot <umeabot> 1.20.0-7.mga6
+ Revision: 971515
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.20.0-6.mga6
+ Revision: 891813
- ignore testsuite faillure

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 746794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 686868
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 515960
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 374809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-WWW-Shorten-Googl


* Fri Aug 26 2011 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
